Liferay.Loader.define("frontend-js-components-web@1.0.27/treeview/TreeviewLabel", ['module', 'exports', 'require', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = TreeviewLabel;

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function TreeviewLabel(_ref) {
      var node = _ref.node;
      var inputId = "".concat(node.id, "-treeview-label-input");
      return (/*#__PURE__*/_react.default.createElement("div", {
          className: "lfr-treeview-label"
        }, /*#__PURE__*/_react.default.createElement("input", {
          checked: node.selected,
          className: "sr-only",
          id: inputId,
          onChange: function onChange() {// Let NodeListItem handle checked state.
          },
          type: "checkbox"
        }), /*#__PURE__*/_react.default.createElement("label", {
          className: node.selected ? 'font-weight-bold' : 'font-weight-normal',
          htmlFor: inputId,
          onClick: function onClick(event) {
            return event.preventDefault();
          }
        }, node.name))
      );
    }
    //# sourceMappingURL=TreeviewLabel.js.map
  }
});
//# sourceMappingURL=TreeviewLabel.js.map